package net.mummila.crosswordgame;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.widgets.Display;


public class CGLetter {
	
	final private static String EMPTY	= "_";
	
	public enum Letters {
		_, A, B, C, D, E, F, G,
		H, I, J, K, L, M, N, O,
		P, Q, R, S, T, U, V, W,
		X, Y, Z, , ,  }
	
	final private static Image[] letter = {
		new Image(Display.getDefault(), "kirjaimet/_.png"),
		new Image(Display.getDefault(), "kirjaimet/A.png"),
		new Image(Display.getDefault(), "kirjaimet/B.png"),
		new Image(Display.getDefault(), "kirjaimet/C.png"),
		new Image(Display.getDefault(), "kirjaimet/D.png"),
		new Image(Display.getDefault(), "kirjaimet/E.png"),
		new Image(Display.getDefault(), "kirjaimet/F.png"),
		new Image(Display.getDefault(), "kirjaimet/G.png"),
		new Image(Display.getDefault(), "kirjaimet/H.png"),
		new Image(Display.getDefault(), "kirjaimet/I.png"),
		new Image(Display.getDefault(), "kirjaimet/J.png"),
		new Image(Display.getDefault(), "kirjaimet/K.png"),
		new Image(Display.getDefault(), "kirjaimet/L.png"),
		new Image(Display.getDefault(), "kirjaimet/M.png"),
		new Image(Display.getDefault(), "kirjaimet/N.png"),
		new Image(Display.getDefault(), "kirjaimet/O.png"),
		new Image(Display.getDefault(), "kirjaimet/P.png"),
		new Image(Display.getDefault(), "kirjaimet/Q.png"),
		new Image(Display.getDefault(), "kirjaimet/R.png"),
		new Image(Display.getDefault(), "kirjaimet/S.png"),
		new Image(Display.getDefault(), "kirjaimet/T.png"),
		new Image(Display.getDefault(), "kirjaimet/U.png"),
		new Image(Display.getDefault(), "kirjaimet/V.png"),
		new Image(Display.getDefault(), "kirjaimet/W.png"),
		new Image(Display.getDefault(), "kirjaimet/X.png"),
		new Image(Display.getDefault(), "kirjaimet/Y.png"),
		new Image(Display.getDefault(), "kirjaimet/Z.png"),
		new Image(Display.getDefault(), "kirjaimet/.png"),
		new Image(Display.getDefault(), "kirjaimet/.png"),
		new Image(Display.getDefault(), "kirjaimet/.png")
	};

	public static Image getLetterImage(String l) {
		return letter[Letters.valueOf(l).ordinal()];
	}
	public static boolean isEmpty(CGLetter l) {
		return (l.isEmpty());
	}
	private String letterString;
	private Image letterImage;
	public CGLetter() {
		letterString = EMPTY;
		letterImage = letter[Letters.valueOf(letterString).ordinal()];
	}
	public CGLetter(final String letterGiven) {
		letterString = letterGiven;
		try {
			letterImage = letter[Letters.valueOf(letterGiven).ordinal()];
		}
		catch (IllegalArgumentException ex) {
			letterImage = letter[Letters.valueOf("_").ordinal()];
			letterString = EMPTY;
		}
	}
	public Image getLetterImage() {
		return letterImage;
	}
	public String toString() {
		if (letterString.equals(EMPTY))	return "";
		else							return letterString;
	}
	public boolean isEmpty() {
		return letterString.equals(EMPTY);
	}
}
